import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import React from 'react';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import FoundationErrorList from './FoundationErrorList';
import './FoundationFormFieldErrorSummary.scss';
export default function FoundationFormFieldErrorSummary(_ref) {
  var context = _ref.context,
      _ref$errors = _ref.errors,
      errors = _ref$errors === void 0 ? {} : _ref$errors,
      _ref$formatKey = _ref.formatKey,
      formatKey = _ref$formatKey === void 0 ? function (context, key) {
    var ctx = key === '__all__' ? 'generic-error-field' : context;
    return pgettext(ctx, key);
  } : _ref$formatKey;
  var items = Object.keys(errors).reduce(function (prevItems, key) {
    var texts = errors[key].map(function (item) {
      return "".concat(pgettext(item[0], item[1]));
    });
    return [].concat(_toConsumableArray(prevItems), ["".concat(formatKey(context, key), ": ").concat(texts.join('; '))]);
  }, []);

  if (items.length === 0) {
    return null;
  }

  var block = purebem('foundation-form-field-error-summary');
  return React.createElement("div", {
    className: block()
  }, React.createElement(FoundationErrorList, {
    errors: items
  }));
}
//# sourceMappingURL=FoundationFormFieldErrorSummary.js.map